package cn.iocoder.yudao.module.asset.dal.mysql.delivery;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.asset.dal.dataobject.delivery.DeliveryTaskVehicleDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DeliveryTaskVehicleMapper extends BaseMapperX<DeliveryTaskVehicleDO> {

    default List<DeliveryTaskVehicleDO> selectListByTaskId(Long taskId) {
        return selectList(DeliveryTaskVehicleDO::getTaskId, taskId);
    }

    default void deleteByTaskId(Long taskId) {
        delete(DeliveryTaskVehicleDO::getTaskId, taskId);
    }

}
